# SolrDisMaxQuery::setPhraseFields

(No version information available, might only be in Git)

SolrDisMaxQuery::setPhraseFields — Sets Phrase Fields and their boosts (and slops) using pf2 parameter

### 说明

public SolrDisMaxQuery::setPhraseFields(string `$fields`): SolrDisMaxQuery

Sets Phrase Fields (pf) and their boosts (and slops)

### 参数

`fields`

  Fields, boosts [, slops]

### 返回值

SolrDisMaxQuery

### 示例

示例 #1 SolrDisMaxQuery::setPhraseFields() example

`<?php
$dismaxQuery = new SolrDisMaxQuery("lucene");
$dismaxQuery->setPhraseFields("cat~5.1^2 feature^4.5");
echo $dismaxQuery.PHP_EOL;
?>`

以上示例的输出类似于：

    q=lucene&defType=edismax&pf=cat~5.1^2 feature^4.5

### 参见

- SolrDisMaxQuery::addPhraseFields()
- SolrDisMaxQuery::removePhraseField() - Removes a Phrase Field (pf parameter)

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open